Package com.massivecraft.factions.discord

## Class CmdSetGuild

- java.lang.Object
- - com.massivecraft.factions.cmd.FCommand
  - - com.massivecraft.factions.discord.CmdSetGuild

-     public class CmdSetGuild
      extends FCommand

- - ### Field Summary

    - ### Fields inherited from class com.massivecraft.factions.cmd.FCommand

      `aliases, helpLong, optionalArgs, requiredArgs, requirements, sdf, subCommands, visibility`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CmdSetGuild()` |

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `TL` | `getUsageTranslation()` |
    `void` | `perform​(CommandContext context)` |

    - ### Methods inherited from class com.massivecraft.factions.cmd.FCommand

      `addSubCommand, execute, getHelpShort, getToolTips, getToolTips, getUsageTemplate, getUsageTemplate, isEnabled, replaceFactionTags, replaceFPlayerTags, setHelpShort, validArgs, validCall`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CmdSetGuild

          public CmdSetGuild()

  - ### Method Detail

    - #### perform

          public void perform​(CommandContext context)

      Specified by:
        `perform` in class `FCommand`

    - #### getUsageTranslation

          public TL getUsageTranslation()

      Specified by:
        `getUsageTranslation` in class `FCommand`